Loading...
Searching...
No Matches
EST_HashFunctions Class Reference

`#include <include/EST_THash.h>`

Inheritance diagram for EST_HashFunctions:
[legend]

## Static Public Member Functions

static unsigned int | DefaultHash (const void *data, size_t size, unsigned int n)
| A generally useful hash function.
static unsigned int | StringHash (const EST_String &key, unsigned int size)
| A hash function for strings.

## Detailed Description

This is just a convenient place to put some useful hash functions.

Definition at line 60 of file EST_THash.h.

## Member Function Documentation

## DefaultHash()

unsigned int EST_HashFunctions::DefaultHash | ( | const void * | data,
|  | size_t | size,
|  | unsigned int | n )

static

A generally useful hash function.

Definition at line 45 of file THash_aux.cc.

## StringHash()

unsigned int EST_HashFunctions::StringHash | ( | const EST_String & | key,
|  | unsigned int | size )

static

A hash function for strings.

Definition at line 50 of file THash_aux.cc.

The documentation for this class was generated from the following files:

- include/EST_THash.h
- base_class/THash_aux.cc